Developer Documentation

Public Member Functions | Private Attributes | List of all members
OpenMesh::Decimater::ModEdgeLengthT< MeshT > Class Template Reference

Use edge length to control decimation. More...

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModEdgeLengthT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModEdgeLengthT< MeshT >:

## Public Member Functions
| ModEdgeLengthT (MeshT &_mesh, float _edge_length=FLT_MAX, bool _is_binary=true)
| Constructor.
float | edge_length () const
| get edge_length
void | set_edge_length (typename Mesh::Scalar _f)
| set edge_length
float | collapse_priority (const CollapseInfo &_ci) override
void | set_error_tolerance_factor (double _factor) override
| set the percentage of edge length
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
virtual const std::string & | name () const
| Set module's name.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | initialize ()
| Initialize module-internal stuff.
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)
virtual void | postprocess_collapse (const CollapseInfoT< MeshT > &)

## Private Attributes
Mesh & | mesh_
Mesh::Scalar | edge_length_
Mesh::Scalar | sqr_edge_length_

## Additional Inherited Members
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1, LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo
Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

### template<class MeshT>
class OpenMesh::Decimater::ModEdgeLengthT< MeshT >

Use edge length to control decimation.

This module computes the edge length.

In binary and continuous mode, the collapse is legal if:

- The length after the collapse is lower than the given tolerance

Definition at line 75 of file ModEdgeLengthT.hh.

## Member Function Documentation

## ◆ collapse_priority()

template<class MeshT >

float OpenMesh::Decimater::ModEdgeLengthT< MeshT >::collapse_priority | ( | const CollapseInfo & | _ci | ) |
| override virtual

Compute priority: Binary mode: Don't collapse edges longer then edge_length_ Cont. mode: Collapse smallest edge first, but don't collapse edges longer as edge_length_

Reimplemented from OpenMesh::Decimater::ModBaseT< MeshT >.

Definition at line 74 of file ModEdgeLengthT_impl.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModEdgeLengthT.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModEdgeLengthT_impl.hh